PrefabFiles = {
	"wicki",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wicki.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wicki.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wicki.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wicki.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wicki_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wicki_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wicki.tex" ),
    Asset( "ATLAS", "bigportraits/wicki.xml" ),

	Asset("IMAGE", "images/wicki.tex"),
	Asset("ATLAS", "images/wicki.xml"),
	
}

AddMinimapAtlas("images/wicki.xml")

local STRINGS = GLOBAL.STRINGS
local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.WICKI = require "speech_wicki"

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "wicki" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
            voice = "dontstarve/maxwell/talk_LP",
            appearanim = "appear",
            idleanim= "idle",
            dialogpreanim = "dialog_pre",
            dialoganim="dial_loop",
            dialogpostanim = "dialog_pst",
            disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Say pal.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "This should teach you not to hush at me!",
                wait = 3,
                anim = nil,
                sound = nil,
            },
        }
    end
end
  
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)



-- strings! Any "wod" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.wicki = "The mixed librarian"
GLOBAL.STRINGS.CHARACTER_NAMES.wicki = "Wicki"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wicki = "*A young librarian without powers \n*Runs quickly"
GLOBAL.STRINGS.CHARACTER_QUOTES.wicki = "\"Ssshh!\""


-- Let the game know wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "wicki")


AddModCharacter("wicki")

